PPI::Structure::Signature(3pm)

NAME
PPI::Structure::Signature - List of subroutine signature elements

SYNOPSIS
  sub do_thing( $param, $arg ) {}

INHERITANCE
  PPI::Structure::Signature
    isa PPI::Structure::List
        isa PPI::Structure
            isa PPI::Node
                isa PPI::Element

DESCRIPTION
"PPI::Structure::Signature" is the class used for circular braces that represent lists of signature elements.

METHODS
"PPI::Structure::Signature" has no methods beyond those provided by the standard PPI::Structure::List, PPI::Structure, PPI::Node and PPI::Element methods.

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.